X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

java plugin

Posted

i have java 7 update 9 installed ....when i check for updates it says outdated version......what is the latest version please?

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 10.9.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 11.5 r502
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.0
  • NPWLPG
  • 5.1.10411.0
  • The plug-in allows you to open and edit files using Microsoft Office applications

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0

More Information

ideato
  • Top 25 Contributor
617 solutions 4263 answers

Hello chloe88100, Java SE 7 U 10 is the latest, BUT if you go to check java : http://www.java.com/en/download/installed.jsp then the 7.9 it is the latest updated !!!

there is an issue, better see : https://support.mozilla.org/en-US/questions/944191

thank you

peter2013 0 solutions 8 answers

I am having this problem as well. What is the fix?

ideato
  • Top 25 Contributor
617 solutions 4263 answers

Hello peter2013, the latest Java 7 update 11 is Vulnerable, so in firefox is blocked for your protection, see : Java Plugin 7 update 11 and lower (click-to-play), Windows has been blocked for your protection

see : How to use Java if it's been blocked

no permanently fix yet ! use 7.11 it if absolutely necessary.

if you like read all the discussion : SUMO community discussions - Another Java vulnerability...


thanks